Bug 1200352 (CVE-2022-30522)

Summary: VUL-0: CVE-2022-30522: apache2: mod_sed denial of service
Product: [Novell Products] SUSE Security Incidents Reporter: Carlos López <carlos.lopez>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: pgajdos, security-team
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/333899/
Whiteboard: CVSSv3.1:SUSE:CVE-2022-30522:5.9:(AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Carlos López 2022-06-08 15:51:34 UTC
CVE-2022-30522

Posted by Stefan Eissing on Jun 08Severity: low

Description:

If Apache HTTP Server 2.4.53 is configured to do transformations with mod_sed in contexts where the input to mod_sed 
may be very large, mod_sed may make excessively large memory allocations and trigger an abort.

Credit:

This issue was found by Brian Moussalli from the JFrog Security Research team

References:

https://httpd.apache.org/security/vulnerabilities_24.html

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-30522
https://seclists.org/oss-sec/2022/q2/184
Comment 1 Carlos López 2022-06-08 15:58:05 UTC
Affected:
 - SUSE:SLE-12-SP2:Update
 - SUSE:SLE-12-SP5:Update
 - SUSE:SLE-15:Update
 - SUSE:SLE-15-SP2:Update
 - SUSE:SLE-15-SP4:Update
 - openSUSE:Factory

Fix:
https://github.com/apache/httpd/commit/65b8fb947b144556c7ad1cf7ddc3941010ad77ba
Comment 3 Swamp Workflow Management 2022-06-16 16:17:10 UTC
SUSE-SU-2022:2099-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1200338,1200340,1200341,1200345,1200348,1200350,1200352
CVE References: CVE-2022-26377,CVE-2022-28614,CVE-2022-28615,CVE-2022-29404,CVE-2022-30522,CVE-2022-30556,CVE-2022-31813
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    apache2-2.4.23-29.91.1
SUSE OpenStack Cloud Crowbar 8 (src):    apache2-2.4.23-29.91.1
SUSE OpenStack Cloud 9 (src):    apache2-2.4.23-29.91.1
SUSE OpenStack Cloud 8 (src):    apache2-2.4.23-29.91.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    apache2-2.4.23-29.91.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    apache2-2.4.23-29.91.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    apache2-2.4.23-29.91.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    apache2-2.4.23-29.91.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    apache2-2.4.23-29.91.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    apache2-2.4.23-29.91.1
HPE Helion Openstack 8 (src):    apache2-2.4.23-29.91.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2022-06-16 16:18:17 UTC
SUSE-SU-2022:2101-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1200338,1200340,1200341,1200345,1200348,1200350,1200352
CVE References: CVE-2022-26377,CVE-2022-28614,CVE-2022-28615,CVE-2022-29404,CVE-2022-30522,CVE-2022-30556,CVE-2022-31813
JIRA References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    apache2-2.4.51-35.19.1
SUSE Linux Enterprise Server 12-SP5 (src):    apache2-2.4.51-35.19.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 David Anes 2022-06-17 13:28:24 UTC
All done. Assigning back to security.
Comment 6 Swamp Workflow Management 2022-07-06 16:24:46 UTC
SUSE-SU-2022:2302-1: An update that solves 7 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1198913,1200338,1200340,1200341,1200345,1200348,1200350,1200352
CVE References: CVE-2022-26377,CVE-2022-28614,CVE-2022-28615,CVE-2022-29404,CVE-2022-30522,CVE-2022-30556,CVE-2022-31813
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    apache2-2.4.51-150400.6.3.1
SUSE Linux Enterprise Module for Server Applications 15-SP4 (src):    apache2-2.4.51-150400.6.3.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4 (src):    apache2-2.4.51-150400.6.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    apache2-2.4.51-150400.6.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2022-07-08 19:18:26 UTC
SUSE-SU-2022:2338-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1200338,1200340,1200341,1200345,1200348,1200350,1200352
CVE References: CVE-2022-26377,CVE-2022-28614,CVE-2022-28615,CVE-2022-29404,CVE-2022-30522,CVE-2022-30556,CVE-2022-31813
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    apache2-2.4.33-150000.3.69.1
SUSE Linux Enterprise Server for SAP 15 (src):    apache2-2.4.33-150000.3.69.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    apache2-2.4.33-150000.3.69.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    apache2-2.4.33-150000.3.69.1
SUSE Linux Enterprise Server 15-LTSS (src):    apache2-2.4.33-150000.3.69.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    apache2-2.4.33-150000.3.69.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    apache2-2.4.33-150000.3.69.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    apache2-2.4.33-150000.3.69.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    apache2-2.4.33-150000.3.69.1
SUSE Enterprise Storage 6 (src):    apache2-2.4.33-150000.3.69.1
SUSE CaaS Platform 4.0 (src):    apache2-2.4.33-150000.3.69.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2022-07-08 19:19:47 UTC
SUSE-SU-2022:2342-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1200338,1200340,1200341,1200345,1200348,1200350,1200352
CVE References: CVE-2022-26377,CVE-2022-28614,CVE-2022-28615,CVE-2022-29404,CVE-2022-30522,CVE-2022-30556,CVE-2022-31813
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    apache2-2.4.51-150200.3.48.1
SUSE Manager Server 4.1 (src):    apache2-2.4.51-150200.3.48.1
SUSE Manager Retail Branch Server 4.1 (src):    apache2-2.4.51-150200.3.48.1
SUSE Manager Proxy 4.1 (src):    apache2-2.4.51-150200.3.48.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    apache2-2.4.51-150200.3.48.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    apache2-2.4.51-150200.3.48.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    apache2-2.4.51-150200.3.48.1
SUSE Linux Enterprise Module for Server Applications 15-SP3 (src):    apache2-2.4.51-150200.3.48.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    apache2-2.4.51-150200.3.48.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    apache2-2.4.51-150200.3.48.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    apache2-2.4.51-150200.3.48.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    apache2-2.4.51-150200.3.48.1
SUSE Enterprise Storage 7 (src):    apache2-2.4.51-150200.3.48.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Carlos López 2022-09-16 13:06:14 UTC
Done, closing.